/*
Theme Classes:
*/


@media (max-width: 600px) {
	.center-text-600max {
		text-align: center !important;
	}
}
@media (max-width: 780px) {
	.center-text-780max {
		text-align: center !important;
	}
	.width-300px-size-780max.wp-block-image img {
		width: 300px !important;
		height: auto !important;
	}
}
@media (max-width: 1000px) {
	.font-size-15px-max-1000 {font-size: 15px !important;}
	.font-size-16px-max-1000 {font-size: 16px !important;}
	.font-size-17px-max-1000 {font-size: 17px !important;}
	.font-size-18px-max-1000 {font-size: 18px !important;}
}

/* General */
.full-height {
	height: 100% !important;
}
.no-underline,
.no-underline * {
	text-decoration: none;
}
.no-hover.wp-block-image a:hover {
	opacity: 1;
}

/* Stack Columns - Max: 1000px, 750px */
/* NOTE: ensure "stack on mobile" is unchecked in the editor */
@media (max-width: 1000px) {
	.stack-1000max.wp-block-columns.is-not-stacked-on-mobile {
		flex-direction: column !important;
	}
	.stack-1000max.wp-block-group.is-layout-flex {
		flex-direction: column !important;
	}
	.stack-1000max.wp-block-group.is-layout-flex > .wp-block-group {
		flex-basis: auto !important
	}
}
@media (max-width: 750px) {
	.stack-750max.wp-block-columns.is-not-stacked-on-mobile {
		flex-direction: column !important;
	}
}

/* Reverse Row - Min: 1000px, 750px */
@media (min-width: 1000px) {
	.reverse-1000min.wp-block-columns {
		flex-direction: row-reverse !important;
	}
}
@media (max-width: 750px) {
	.reverse-750min.wp-block-columns {
		flex-direction: column !important;
	}
}

/* Reverse every second item in query - Min: 1000px, 750px */
/* NOTE: add directly to query (targets column inside post template) */
/* Includes extra class for also reversing inner image radius (15) */
@media (min-width: 1000px) {
	.reverse-even-1000min.wp-block-query ul.wp-block-post-template li.wp-block-post.is-even .wp-block-columns,
	.reverse-odd-1000min.wp-block-query ul.wp-block-post-template li.wp-block-post.is-odd .wp-block-columns	{
		flex-direction: row-reverse !important;
	}
	.reverse-even-1000min.reverse-img-inner-radius-15.wp-block-query ul.wp-block-post-template li.wp-block-post.is-even img {
		border-radius: 0px 15px 15px 0px !important;
	}
	.reverse-odd-1000min.reverse-img-inner-radius-15.wp-block-query ul.wp-block-post-template li.wp-block-post.is-odd img	{
		border-radius: 15px 0px 0px 15px !important;
	}
}
@media (min-width: 750px) {
	.reverse-even-750min.wp-block-query ul.wp-block-post-template li.wp-block-post.is-even .wp-block-columns,
	.reverse-odd-750min.wp-block-query ul.wp-block-post-template li.wp-block-post.is-odd .wp-block-columns	{
		flex-direction: row-reverse !important;
	}
	.reverse-even-750min.reverse-img-inner-radius-15.wp-block-query ul.wp-block-post-template li.wp-block-post.is-even img {
		border-radius: 0px 15px 15px 0px !important;
	}
	.reverse-odd-750min.reverse-img-inner-radius-15.wp-block-query ul.wp-block-post-template li.wp-block-post.is-odd img	{
		border-radius: 15px 0px 0px 15px !important;
	}
}

/* Remove radius from images - Max: 1000px, 750px */
@media (max-width: 1000px) {
	.no-radius-1000-max img.wp-post-image {
		border-top-left-radius: 0px !important;
		border-bottom-left-radius: 0px !important;
		border-top-right-radius: 0px !important;
		border-bottom-right-radius: 0px !important;
	}
}
@media (max-width: 750px) {
	.no-radius-750-max img.wp-post-image {
		border-top-left-radius: 0px !important;
		border-bottom-left-radius: 0px !important;
		border-top-right-radius: 0px !important;
		border-bottom-right-radius: 0px !important;
	}
}